namespace TestLibrary
{
    /// <summary>
    /// RTF 
    /// </summary>
    public sealed class RTFConstant
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// INSRSID
        /// </summary>
        public const string INSRSID = "insrsid";

        /// <summary>
        /// AF
        /// </summary>
        public const string AF = "af";

        /// <summary>
        /// RTF
        /// </summary>
        public const string RTF = "rtf";

        /// <summary>
        /// FONTTBL
        /// </summary>
        public const string FONTTBL = "fonttbl";

        /// <summary>
        /// DOCFMT
        /// </summary>
        public const string DOCFMT = "docfmt";

        /// <summary>
        /// INFO
        /// </summary>
        public const string INFO = "info";

        /// <summary>
        /// AUTHOR
        /// </summary>
        public const string AUTHOR = "author";

        /// <summary>
        /// CREATIM
        /// </summary>
        public const string CREATIM = "creatim";

        /// <summary>
        /// VERSION
        /// </summary>
        public const string VERSION = "version";

        /// <summary>
        /// COLORTBL
        /// </summary>
        public const string COLORTBL = "colortbl";

        /// <summary>
        /// B
        /// </summary>
        public const string B = "b";

        /// <summary>
        /// BLUE
        /// </summary>
        public const string BLUE = "blue";

        /// <summary>
        /// ANSI
        /// </summary>
        public const string ANSI = "ansi";

        /// <summary>
        /// ANSICPG
        /// </summary>
        public const string ANSICPG = "ansicpg";

        /// <summary>
        /// MAC
        /// </summary>
        public const string MAC = "mac";

        /// <summary>
        /// PC
        /// </summary>
        public const string PC = "pc";

        /// <summary>
        /// PCA
        /// </summary>
        public const string PCA = "pca";

        /// <summary>
        /// FNIL
        /// </summary>
        public const string FNIL = "fnil";

        /// <summary>
        /// FROMAN
        /// </summary>
        public const string FROMAN = "froman";

        /// <summary>
        /// FSWISS
        /// </summary>
        public const string FSWISS = "fswiss";

        /// <summary>
        /// FMODERN
        /// </summary>
        public const string FMODERN = "fmodern";

        /// <summary>
        /// FSCRIPT
        /// </summary>
        public const string FSCRIPT = "fscript";

        /// <summary>
        /// FDECOR
        /// </summary>
        public const string FDECOR = "fdecor";

        /// <summary>
        /// FTECH
        /// </summary>
        public const string FTECH = "ftech";

        /// <summary>
        /// FBIDI
        /// </summary>
        public const string FBIDI = "fbidi";

        /// <summary>
        /// FCHARSET
        /// </summary>
        public const string FCHARSET = "fcharset";

        /// <summary>
        /// GENERATOR
        /// </summary>
        public const string GENERATOR = "generator";

        /// <summary>
        /// XMLNS
        /// </summary>
        public const string XMLNS = "xmlns";

        /// <summary>
        /// HEADER
        /// </summary>
        public const string HEADER = "header";

        /// <summary>
        /// FOOTER
        /// </summary>
        public const string FOOTER = "footer";

        /// <summary>
        /// HEADERL
        /// </summary>
        public const string HEADERL = "headerl";

        /// <summary>
        /// HEADERR
        /// </summary>
        public const string HEADERR = "headerr";

        /// <summary>
        /// HEADERF
        /// </summary>
        public const string HEADERF = "headerf";

        /// <summary>
        /// FOOTERL
        /// </summary>
        public const string FOOTERL = "footerl";

        /// <summary>
        /// FOOTERR
        /// </summary>
        public const string FOOTERR = "footerr";

        /// <summary>
        /// FOOTERF
        /// </summary>
        public const string FOOTERF = "footerf";

        /// <summary>
        /// HEADERY
        /// </summary>
        public const string HEADERY = "headery";

        /// <summary>
        /// FOOTERY
        /// </summary>
        public const string FOOTERY = "footery";

        /// <summary>
        /// STYLESHEET
        /// </summary>
        public const string STYLESHEET = "stylesheet";

        /// <summary>
        /// FILETBL
        /// </summary>
        public const string FILETBL = "filetbl";

        /// <summary>
        /// LISTTABLE
        /// </summary>
        public const string LISTTABLE = "listtable";

        /// <summary>
        /// LISTOVERRIDE
        /// </summary>
        public const string LISTOVERRIDE = "listoverride";

        /// <summary>
        /// REVTBL
        /// </summary>
        public const string REVTBL = "revtbl";

        /// <summary>
        /// NONSHPPICT
        /// </summary>
        public const string NONSHPPICT = "nonshppict";

        /// <summary>
        /// PNTEXT
        /// </summary>
        public const string PNTEXT = "pntext";

        /// <summary>
        /// PNTXTB
        /// </summary>
        public const string PNTXTB = "pntxtb";

        /// <summary>
        /// PNTXTA
        /// </summary>
        public const string PNTXTA = "pntxta";

        /// <summary>
        /// PAPERW
        /// </summary>
        public const string PAPERW = "paperw";

        /// <summary>
        /// PAPERH
        /// </summary>
        public const string PAPERH = "paperh";

        /// <summary>
        /// MARGL
        /// </summary>
        public const string MARGL = "margl";

        /// <summary>
        /// MARGR
        /// </summary>
        public const string MARGR = "margr";

        /// <summary>
        /// MARGB
        /// </summary>
        public const string MARGB = "margb";

        /// <summary>
        /// MARGT
        /// </summary>
        public const string MARGT = "margt";

        /// <summary>
        /// LANDSCAPE
        /// </summary>
        public const string LANDSCAPE = "landscape";

        /// <summary>
        /// PARD
        /// </summary>
        public const string PARD = "pard";

        /// <summary>
        /// PAGE
        /// </summary>
        public const string PAGE = "page";

        /// <summary>
        /// PAGEBB
        /// </summary>
        public const string PAGEBB = "pagebb";

        /// <summary>
        /// PAR
        /// </summary>
        public const string PAR = "par";

        /// <summary>
        /// QL
        /// </summary>
        public const string QL = "ql";

        /// <summary>
        /// QC
        /// </summary>
        public const string QC = "qc";

        /// <summary>
        /// QR
        /// </summary>
        public const string QR = "qr";

        /// <summary>
        /// QJ
        /// </summary>
        public const string QJ = "qj";

        /// <summary>
        /// FI
        /// </summary>
        public const string FI = "fi";

        /// <summary>
        /// SL
        /// </summary>
        public const string SL = "sl";

        /// <summary>
        /// SLMULT
        /// </summary>
        public const string SLMULT = "slmult";

        /// <summary>
        /// SB
        /// </summary>
        public const string SB = "sb";

        /// <summary>
        /// SA
        /// </summary>
        public const string SA = "sa";

        /// <summary>
        /// PN
        /// </summary>
        public const string PN = "pn";

        /// <summary>
        /// PNLVLBODY
        /// </summary>
        public const string PNLVLBODY = "pnlvlbody";

        /// <summary>
        /// PNLVLBLT
        /// </summary>
        public const string PNLVLBLT = "pnlvlblt";

        /// <summary>
        /// LISTTEXT
        /// </summary>
        public const string LISTTEXT = "listtext";

        /// <summary>
        /// LS
        /// </summary>
        public const string LS = "ls";

        /// <summary>
        /// LI
        /// </summary>
        public const string LI = "li";

        /// <summary>
        /// LINE
        /// </summary>
        public const string LINE = "line";

        /// <summary>
        /// PLAIN
        /// </summary>
        public const string PLAIN = "plain";

        /// <summary>
        /// F
        /// </summary>
        public const string F = "f";

        /// <summary>
        /// FS
        /// </summary>
        public const string FS = "fs";

        /// <summary>
        /// CF
        /// </summary>
        public const string CF = "cf";

        /// <summary>
        /// CB
        /// </summary>
        public const string CB = "cb";

        /// <summary>
        /// CHCBPAT
        /// </summary>
        public const string CHCBPAT = "chcbpat";

        /// <summary>
        /// I
        /// </summary>
        public const string I = "i";

        /// <summary>
        /// U
        /// </summary>
        public const string U = "u";

        /// <summary>
        /// V
        /// </summary>
        public const string V = "v";

        /// <summary>
        /// HIGHLIGHT
        /// </summary>
        public const string HIGHLIGHT = "highlight";

        /// <summary>
        /// UL
        /// </summary>
        public const string UL = "ul";

        /// <summary>
        /// NOUL
        /// </summary>
        public const string NOUL = "ulnone";

        /// <summary>
        /// STRIKE
        /// </summary>
        public const string STRIKE = "strike";

        /// <summary>
        /// SUB
        /// </summary>
        public const string SUB = "sub";

        /// <summary>
        /// SUPER
        /// </summary>
        public const string SUPER = "super";

        /// <summary>
        /// NOSUPERSUB
        /// </summary>
        public const string NOSUPERSUB = "nosupersub";

        /// <summary>
        /// BKMKSTART
        /// </summary>
        public const string BKMKSTART = "bkmkstart";

        /// <summary>
        /// BKMKEND
        /// </summary>
        public const string BKMKEND = "bkmkend";

        /// <summary>
        /// FIELD
        /// </summary>
        public const string FIELD = "field";

        /// <summary>
        /// FLDDIRTY
        /// </summary>
        public const string FLDDIRTY = "flddirty";

        /// <summary>
        /// FLDEDIT
        /// </summary>
        public const string FLDEDIT = "fldedit";

        /// <summary>
        /// FLDLOCK
        /// </summary>
        public const string FLDLOCK = "fldlock";

        /// <summary>
        /// FLDPRIV
        /// </summary>
        public const string FLDPRIV = "fldpriv";

        /// <summary>
        /// FLDINST
        /// </summary>
        public const string FLDINST = "fldinst";

        /// <summary>
        /// FLDRSLT
        /// </summary>
        public const string FLDRSLT = "fldrslt";

        /// <summary>
        /// HYPERLINK
        /// </summary>
        public const string HYPERLINK = "HYPERLINK";

        /// <summary>
        /// BLIPUID
        /// </summary>
        public const string BLIPUID = "blipuid";

        /// <summary>
        /// EMFBLIP
        /// </summary>
        public const string EMFBLIP = "emfblip";

        /// <summary>
        /// PNGBLIP
        /// </summary>
        public const string PNGBLIP = "pngblip";

        /// <summary>
        /// JPEGBLIP
        /// </summary>
        public const string JPEGBLIP = "jpegblip";

        /// <summary>
        /// MACPICT
        /// </summary>
        public const string MACPICT = "macpict";

        /// <summary>
        /// PMMETAFILE
        /// </summary>
        public const string PMMETAFILE = "pmmetafile";

        /// <summary>
        /// WMETAFILE
        /// </summary>
        public const string WMETAFILE = "wmetafile";

        /// <summary>
        /// DIBITMAP
        /// </summary>
        public const string DIBITMAP = "dibitmap";

        /// <summary>
        /// WBITMAP
        /// </summary>
        public const string WBITMAP = "wbitmap";

        /// <summary>
        /// SHPPICT
        /// </summary>
        public const string SHPPICT = "shppict";

        /// <summary>
        /// PICT
        /// </summary>
        public const string PICT = "pict";

        /// <summary>
        /// PICSCALEX
        /// </summary>
        public const string PICSCALEX = "picscalex";

        /// <summary>
        /// PICSCALEY
        /// </summary>
        public const string PICSCALEY = "picscaley";

        /// <summary>
        /// PICWGOAL
        /// </summary>
        public const string PICWGOAL = "picwgoal";

        /// <summary>
        /// PICHGOAL
        /// </summary>
        public const string PICHGOAL = "pichgoal";

        /// <summary>
        /// INTBL
        /// </summary>
        public const string INTBL = "intbl";

        /// <summary>
        /// TROWD
        /// </summary>
        public const string TROWD = "trowd";

        /// <summary>
        /// ITAP
        /// </summary>
        public const string ITAP = "itap";

        /// <summary>
        /// NESTTABLEPROPS
        /// </summary>
        public const string NESTTABLEPROPS = "nesttableprops";

        /// <summary>
        /// NESTROW
        /// </summary>
        public const string NESTROW = "nestrow";

        /// <summary>
        /// ROW
        /// </summary>
        public const string ROW = "row";

        /// <summary>
        /// IROWBAND
        /// </summary>
        public const string IROWBAND = "irowband";

        /// <summary>
        /// TRAUTOFIT
        /// </summary>
        public const string TRAUTOFIT = "trautofit";

        /// <summary>
        /// TRKEEPFOLLOW
        /// </summary>
        public const string TRKEEPFOLLOW = "trkeepfollow";

        /// <summary>
        /// TRQC
        /// </summary>
        public const string TRQC = "trqc";

        /// <summary>
        /// TRQL
        /// </summary>
        public const string TRQL = "trql";

        /// <summary>
        /// TRQR
        /// </summary>
        public const string TRQR = "trqr";

        /// <summary>
        /// TRHDR
        /// </summary>
        public const string TRHDR = "trhdr";

        /// <summary>
        /// TRRH
        /// </summary>
        public const string TRRH = "trrh";

        /// <summary>
        /// TRKEEP
        /// </summary>
        public const string TRKEEP = "trkeep";

        /// <summary>
        /// TRLEFT
        /// </summary>
        public const string TRLEFT = "trleft";

        /// <summary>
        /// TRCBPAT
        /// </summary>
        public const string TRCBPAT = "trcbpat";

        /// <summary>
        /// TRCFPAT
        /// </summary>
        public const string TRCFPAT = "trcfpat";

        /// <summary>
        /// TRPAT
        /// </summary>
        public const string TRPAT = "trpat";

        /// <summary>
        /// TRSHDNG
        /// </summary>
        public const string TRSHDNG = "trshdng";

        /// <summary>
        /// TRWWIDTH
        /// </summary>
        public const string TRWWIDTH = "trwWidth";

        /// <summary>
        /// TRWWIDTHA
        /// </summary>
        public const string TRWWIDTHA = "trwWidthA";

        /// <summary>
        /// IROW
        /// </summary>
        public const string IROW = "irow";

        /// <summary>
        /// TRPADDB
        /// </summary>
        public const string TRPADDB = "trpaddb";

        /// <summary>
        /// TRPADDL
        /// </summary>
        public const string TRPADDL = "trpaddl";

        /// <summary>
        /// TRPADDR
        /// </summary>
        public const string TRPADDR = "trpaddr";

        /// <summary>
        /// TRPADDT
        /// </summary>
        public const string TRPADDT = "trpaddt";

        /// <summary>
        /// TRPADDFB
        /// </summary>
        public const string TRPADDFB = "trpaddfb";

        /// <summary>
        /// TRPADDFL
        /// </summary>
        public const string TRPADDFL = "trpaddfl";

        /// <summary>
        /// TRPADDFR
        /// </summary>
        public const string TRPADDFR = "trpaddfr";

        /// <summary>
        /// TRPADDFT
        /// </summary>
        public const string TRPADDFT = "trpaddft";

        /// <summary>
        /// CLVMGF
        /// </summary>
        public const string CLVMGF = "clvmgf";

        /// <summary>
        /// CLVMRG
        /// </summary>
        public const string CLVMRG = "clvmrg";

        /// <summary>
        /// CELLX
        /// </summary>
        public const string CELLX = "cellx";

        /// <summary>
        /// CLVERTALT
        /// </summary>
        public const string CLVERTALT = "clvertalt";

        /// <summary>
        /// CLVERTALC
        /// </summary>
        public const string CLVERTALC = "clvertalc";

        /// <summary>
        /// CLVERTALB
        /// </summary>
        public const string CLVERTALB = "clvertalb";

        /// <summary>
        /// CLNOWRAP
        /// </summary>
        public const string CLNOWRAP = "clNoWrap";

        /// <summary>
        /// CLCBPAT
        /// </summary>
        public const string CLCBPAT = "clcbpat";

        /// <summary>
        /// CLCFPAT
        /// </summary>
        public const string CLCFPAT = "clcfpat";

        /// <summary>
        /// CLPADL
        /// </summary>
        public const string CLPADL = "clpadl";

        /// <summary>
        /// CLPADT
        /// </summary>
        public const string CLPADT = "clpadt";

        /// <summary>
        /// CLPADR
        /// </summary>
        public const string CLPADR = "clpadr";

        /// <summary>
        /// CLPADB
        /// </summary>
        public const string CLPADB = "clpadb";

        /// <summary>
        /// CLBRDRL
        /// </summary>
        public const string CLBRDRL = "clbrdrl";

        /// <summary>
        /// CLBRDRT
        /// </summary>
        public const string CLBRDRT = "clbrdrt";

        /// <summary>
        /// CLBRDRR
        /// </summary>
        public const string CLBRDRR = "clbrdrr";

        /// <summary>
        /// CLBRDRB
        /// </summary>
        public const string CLBRDRB = "clbrdrb";

        /// <summary>
        /// CELL
        /// </summary>
        public const string CELL = "cell";

        /// <summary>
        /// NESTCELL
        /// </summary>
        public const string NESTCELL = "nestcell";

        /// <summary>
        /// LASTROW
        /// </summary>
        public const string LASTROW = "lastrow";

        /// <summary>
        /// BRDRT
        /// </summary>
        public const string BRDRT = "brdrt";

        /// <summary>
        /// BRDRB
        /// </summary>
        public const string BRDRB = "brdrb";

        /// <summary>
        /// BRDRL
        /// </summary>
        public const string BRDRL = "brdrl";

        /// <summary>
        /// BRDRR
        /// </summary>
        public const string BRDRR = "brdrr";

        /// <summary>
        /// BRDRW
        /// </summary>
        public const string BRDRW = "brdrw";

        /// <summary>
        /// BRDRCF
        /// </summary>
        public const string BRDRCF = "brdrcf";

        /// <summary>
        /// BRDRS
        /// </summary>
        public const string BRDRS = "brdrs";

        /// <summary>
        /// BRDRTH
        /// </summary>
        public const string BRDRTH = "brdrth";

        /// <summary>
        /// BRDRDOT
        /// </summary>
        public const string BRDRDOT = "brdrdot";

        /// <summary>
        /// BRDRDASH
        /// </summary>
        public const string BRDRDASH = "brdrdash";

        /// <summary>
        /// BRDRDASHSM
        /// </summary>
        public const string BRDRDASHSM = "brdrdashsm";

        /// <summary>
        /// BRDRDASHD
        /// </summary>
        public const string BRDRDASHD = "brdrdashd";

        /// <summary>
        /// BRDRDASHDD
        /// </summary>
        public const string BRDRDASHDD = "brdrdashdd";

        /// <summary>
        /// CHBRDR
        /// </summary>
        public const string CHBRDR = "chbrdr";

        /// <summary>
        /// BRDRNIL
        /// </summary>
        public const string BRDRNIL = "brdrnil";

        /// <summary>
        /// BRDRTBL
        /// </summary>
        public const string BRDRTBL = "brdrtbl";

        /// <summary>
        /// BRDRNONE
        /// </summary>
        public const string BRDRNONE = "brdrnone";

        /// <summary>
        /// BRSP
        /// </summary>
        public const string BRSP = "brsp";

        /// <summary>
        /// NONESTTABLES
        /// </summary>
        public const string NONESTTABLES = "nonesttables";

        /// <summary>
        /// OBJECT
        /// </summary>
        public const string OBJECT = "object";

        /// <summary>
        /// OBJEMB
        /// </summary>
        public const string OBJEMB = "objemb";

        /// <summary>
        /// OBJLINK
        /// </summary>
        public const string OBJLINK = "objlink";

        /// <summary>
        /// OBJAUTLINK
        /// </summary>
        public const string OBJAUTLINK = "objautlink";

        /// <summary>
        /// OBJSUB
        /// </summary>
        public const string OBJSUB = "objsub";

        /// <summary>
        /// OBJPUB
        /// </summary>
        public const string OBJPUB = "objpub";

        /// <summary>
        /// OBJICEMB
        /// </summary>
        public const string OBJICEMB = "objicemb";

        /// <summary>
        /// OBJHTML
        /// </summary>
        public const string OBJHTML = "objhtml";

        /// <summary>
        /// OBJOCX
        /// </summary>
        public const string OBJOCX = "objocx";

        /// <summary>
        /// OBJCLASS
        /// </summary>
        public const string OBJCLASS = "objclass";

        /// <summary>
        /// OBJNAME
        /// </summary>
        public const string OBJNAME = "objname";

        /// <summary>
        /// OBJTIME
        /// </summary>
        public const string OBJTIME = "objtime";

        /// <summary>
        /// OBJH
        /// </summary>
        public const string OBJH = "objh";

        /// <summary>
        /// OBJW
        /// </summary>
        public const string OBJW = "objw";

        /// <summary>
        /// OBJSETSIZE
        /// </summary>
        public const string OBJSETSIZE = "objsetsize";

        /// <summary>
        /// OBJDATA
        /// </summary>
        public const string OBJDATA = "objdata";

        /// <summary>
        /// OBJALIAS
        /// </summary>
        public const string OBJALIAS = "objalias";

        /// <summary>
        /// OBJSECT
        /// </summary>
        public const string OBJSECT = "objsect";

        /// <summary>
        /// OBJSCALEX
        /// </summary>
        public const string OBJSCALEX = "objscalex";

        /// <summary>
        /// OBJSCALEY
        /// </summary>
        public const string OBJSCALEY = "objscaley";

        /// <summary>
        /// RESULT
        /// </summary>
        public const string RESULT = "result";

        /// <summary>
        /// SHP
        /// </summary>
        public const string SHP = "shp";

        /// <summary>
        /// SHPLEFT
        /// </summary>
        public const string SHPLEFT = "shpleft";

        /// <summary>
        /// SHPTOP
        /// </summary>
        public const string SHPTOP = "shptop";

        /// <summary>
        /// SHPBOTTOM
        /// </summary>
        public const string SHPBOTTOM = "shpbottom";

        /// <summary>
        /// SHPRIGHT
        /// </summary>
        public const string SHPRIGHT = "shpright";

        /// <summary>
        /// SHPLID
        /// </summary>
        public const string SHPLID = "shplid";

        /// <summary>
        /// SHPZ
        /// </summary>
        public const string SHPZ = "shpz";

        /// <summary>
        /// SHPTXT
        /// </summary>
        public const string SHPTXT = "shptxt";

        /// <summary>
        /// SHPGRP
        /// </summary>
        public const string SHPGRP = "shpgrp";

        /// <summary>
        /// BACKGROUND
        /// </summary>
        public const string BACKGROUND = "background";

        /// <summary>
        /// SHPRSLT
        /// </summary>
        public const string SHPRSLT = "shprslt";

        /// <summary>
        /// SHPINST
        /// </summary>
        public const string SHPINST = "shpinst";

        /// <summary>
        /// SP
        /// </summary>
        public const string SP = "sp";

        /// <summary>
        /// SN
        /// </summary>
        public const string SN = "sn";

        /// <summary>
        /// SV
        /// </summary>
        public const string SV = "sv";

        /// <summary>
        /// XMLOPEN
        /// </summary>
        public const string XMLOPEN = "xmlopen";

        /// <summary>
        /// FCHARS
        /// </summary>
        public const string FCHARS = "fchars";
 
        /// <summary>
        /// LCHARS
        /// </summary>
        public const string LCHARS = "lchars";

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region  - RTFConstant()

        /// <summary>
        /// 
        /// </summary>
        private RTFConstant()
        {
        }

        #endregion
    }
}