using System;
using System.Collections;
using System.Diagnostics;

namespace TestLibrary
{
    /// <summary>
    /// RTF DOM Ʈ Ʈ
    /// </summary>
    [Serializable]
    [DebuggerTypeProxy(typeof(RTFInstanceDebugView))]
    public class RTFDOMElementList : CollectionBase
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ε - this[index]

        /// <summary>
        /// ε
        /// </summary>
        /// <param name="index">ε</param>
        /// <returns>RTF DOM Ʈ</returns>
        public RTFDOMElement this[int index]
        {
            get
            {
                return (RTFDOMElement)List[index];
            }
        }

        #endregion
        #region  Ʈ - LastElement

        /// <summary>
        ///  Ʈ
        /// </summary>
        public RTFDOMElement LastElement
        {
            get
            {
                if(Count > 0)
                {
                    return (RTFDOMElement)List[Count - 1];
                }
                else
                {
                    return null;
                }
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - RTFDOMElementList()

        /// <summary>
        /// 
        /// </summary>
        public RTFDOMElementList()
        {
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ߰ϱ - Add(element)

        /// <summary>
        /// ߰ϱ
        /// </summary>
        /// <param name="element">RTF DOM Ʈ</param>
        /// <returns>ε</returns>
        public int Add(RTFDOMElement element)
        {
            return List.Add(element);
        }

        #endregion
        #region ϱ - Insert(index, element)

        /// <summary>
        /// ϱ
        /// </summary>
        /// <param name="index">ε</param>
        /// <param name="element">RTF DOM Ʈ</param>
        public void Insert(int index, RTFDOMElement element)
        {
            List.Insert(index, element);
        }

        #endregion
        #region ϱ - Remove(element)

        /// <summary>
        /// ϱ
        /// </summary>
        /// <param name="element">RTF DOM Ʈ</param>
        public void Remove(RTFDOMElement element)
        {
            List.Remove(element);
        }

        #endregion
        #region ε ϱ - GetIndex(element)

        /// <summary>
        /// ε ϱ
        /// </summary>
        /// <param name="element">Ʈ</param>
        /// <returns>ε</returns>
        public int GetIndex(RTFDOMElement element)
        {
            return List.IndexOf(element);
        }

        #endregion
        #region 迭 ϱ - ToArray()

        /// <summary>
        /// 迭 ϱ
        /// </summary>
        /// <returns>RTF DOM Ʈ 迭</returns>
        public RTFDOMElement[] ToArray()
        {
            return (RTFDOMElement[])InnerList.ToArray(typeof(RTFDOMElement));
        }

        #endregion
    }
}