using System;
using System.Text;

namespace TestLibrary
{
    /// <summary>
    /// RTF DOM 
    /// </summary>
    [Serializable]
    public class RTFDOMParagraph : RTFDOMElement
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Internal

        #region Field

        /// <summary>
        /// øƮ  
        /// </summary>
        internal bool isTemplateGenerated = false;

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// RTF   
        /// </summary>
        private RTFDocumentFormatInfo format = new RTFDocumentFormatInfo();

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region øƮ   - IsTemplateGenerated

        /// <summary>
        /// øƮ  
        /// </summary>
        public bool IsTemplateGenerated
        {
            get
            {
                return this.isTemplateGenerated;
            }
        }

        #endregion
        #region    - Format

        /// <summary>
        ///   
        /// </summary>
        public RTFDocumentFormatInfo Format
        {
            get
            {
                return this.format; 
            }
            set
            {
                this.format = value; 
            }
        }

        #endregion
        #region  ؽƮ - InnerText

        /// <summary>
        ///  ؽƮ
        /// </summary>
        public override string InnerText
        {
            get
            {
                return base.InnerText + Environment.NewLine;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - RTFDOMParagraph()

        /// <summary>
        /// 
        /// </summary>
        public RTFDOMParagraph()
        {
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ڿ ϱ - ToString()

        /// <summary>
        /// ڿ ϱ
        /// </summary>
        /// <returns>ڿ</returns>
        public override string ToString()
        {
            StringBuilder stringBuilder = new StringBuilder();

            stringBuilder.Append("Paragraph");

            if(Format != null)
            {
                stringBuilder.Append($"({Format.TextAlignment})");

                if(Format.ListID >= 0)
                {
                    stringBuilder.Append($"ListID:{Format.ListID}");
                }
            }
            
            return stringBuilder.ToString();
        }

        #endregion
    }
}