using System;
using System.ComponentModel ;

namespace TestLibrary
{
    /// <summary>
    /// RTF DOM 
    /// </summary>
    [Serializable]
    public class RTFDOMShape : RTFDOMElement
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        ///  ID
        /// </summary>
        private int shapeID = 0;

        /// <summary>
        /// 
        /// </summary>
        private int left = 0;

        /// <summary>
        /// 
        /// </summary>
        private int top = 0;

        /// <summary>
        /// ʺ
        /// </summary>
        private int width = 0;

        /// <summary>
        /// 
        /// </summary>
        private int height = 0;

        /// <summary>
        /// Z ε
        /// </summary>
        private int zIndex = 0;

        /// <summary>
        /// ڿ Ư ÷
        /// </summary>
        private StringAttributeCollection attributeCollection = new StringAttributeCollection();

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  ID - ShapeID

        /// <summary>
        ///  ID
        /// </summary>
        [DefaultValue(0)]
        public int ShapeID
        {
            get
            {
                return this.shapeID;
            }
            set
            {
                this.shapeID = value;
            }
        }

        #endregion
        #region  - Left

        /// <summary>
        /// 
        /// </summary>
        [DefaultValue(0)]
        public int Left
        {
            get
            {
                return this.left;
            }
            set
            {
                this.left = value;
            }
        }

        #endregion
        #region  - Top

        /// <summary>
        /// 
        /// </summary>
        [DefaultValue(0)]
        public int Top
        {
            get
            {
                return this.top;
            }
            set
            {
                this.top = value;
            }
        }

        #endregion
        #region ʺ - Width

        /// <summary>
        /// ʺ
        /// </summary
        [DefaultValue(0)]
        public int Width
        {
            get
            {
                return this.width;
            }
            set
            {
                this.width = value;
            }
        }

        #endregion
        #region  - Height

        /// <summary>
        /// 
        /// </summary>
        [DefaultValue(0)]
        public int Height
        {
            get
            {
                return this.height;
            }
            set
            {
                this.height = value;
            }
        }

        #endregion
        #region Z ε - ZIndex

        /// <summary>
        /// Z ε
        /// </summary>
        [DefaultValue(0)]
        public int ZIndex
        {
            get
            {
                return this.zIndex;
            }
            set
            {
                this.zIndex = value;
            }
        }

        #endregion
        #region ڿ Ư ÷ - AttrbuteCollection

        /// <summary>
        /// ڿ Ư ÷
        /// </summary>
        public StringAttributeCollection AttrbuteCollection
        {
            get
            {
                return this.attributeCollection; 
            }
            set
            {
                this.attributeCollection = value; 
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - RTFDOMShape()

        /// <summary>
        /// 
        /// </summary>
        public RTFDOMShape()
        {
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ڿ ϱ - ToString()

        /// <summary>
        /// ڿ ϱ
        /// </summary>
        /// <returns>ڿ</returns>
        public override string ToString()
        {
            return $"Shape:Left:{this.left} Top:{this.top} Width:{this.width} Height:{this.height}";
        }

        #endregion
    }
}