using System;
using System.ComponentModel;
using System.Text;

namespace TestLibrary
{
    /// <summary>
    /// RTF DOM ؽƮ
    /// </summary>
    [Serializable]
    public class RTFDOMText : RTFDOMElement
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// RTF   
        /// </summary>
        private RTFDocumentFormatInfo format = new RTFDocumentFormatInfo();

        /// <summary>
        /// ؽƮ
        /// </summary>
        private string text = null;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region    - Format

        /// <summary>
        ///   
        /// </summary>
        public RTFDocumentFormatInfo Format
        {
            get
            {
                return this.format;
            }
            set
            {
                this.format = value;
            }
        }

        #endregion
        #region ؽƮ - Text

        /// <summary>
        /// ؽƮ
        /// </summary>
        [DefaultValue( null)]
        public string Text
        {
            get
            {
                return this.text;
            }
            set
            {
                this.text = value;
            }
        }

        #endregion
        #region  ؽƮ - InnerText

        /// <summary>
        ///  ؽƮ
        /// </summary>
        public override string InnerText
        {
            get
            {
                return this.text;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - RTFDOMText()

        /// <summary>
        /// 
        /// </summary>
        public RTFDOMText()
        {
            Locked = true;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ڿ ϱ - ToString()

        /// <summary>
        /// ڿ ϱ
        /// </summary>
        /// <returns>ڿ</returns>
        public override string ToString()
        {
            StringBuilder stringBuilder = new StringBuilder();

            stringBuilder.Append("Text");

            if(Format != null)
            {
                if(Format.Hidden)
                {
                    stringBuilder.Append("(Hidden)");
                }
            }

            stringBuilder.Append($":{this.text}");

            return stringBuilder.ToString();
        }

        #endregion
    }
}