﻿using System;

namespace TestLibrary
{
    /// <summary>
    /// RTF DOM 페이지 브레이크
    /// </summary>
    [Serializable]
    public class RTFDOMPageBreak : RTFDOMElement
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 내부 텍스트 - InnerText

        /// <summary>
        /// 내부 텍스트
        /// </summary>
        public override string InnerText
        {
            get
            {
                return string.Empty;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - RTFDOMPageBreak()

        /// <summary>
        /// 생성자
        /// </summary>
        public RTFDOMPageBreak()
        {
            Locked = true;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 문자열 구하기 - ToString()

        /// <summary>
        /// 문자열 구하기
        /// </summary>
        /// <returns>문자열</returns>
        public override string ToString()
        {
            return "page";
        }

        #endregion
    }
}