﻿using System.Collections.Generic;

namespace TestLibrary
{
    /// <summary>
    /// RTF 리스트 테이블
    /// </summary>
    public class RTFListTable : List<RTFList>
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - RTFListTable()

        /// <summary>
        /// 생성자
        /// </summary>
        public RTFListTable()
        {
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID로 구하기 - GetByID(id)

        /// <summary>
        /// ID로 구하기
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>RTF 리스트</returns>
        public RTFList GetByID(int id)
        {
            foreach(RTFList list in this)
            {
                if(list.ListID == id)
                {
                    return list;
                }
            }

            return null;
        }

        #endregion
    }
}