﻿namespace TestLibrary
{
    /// <summary>
    /// RTF 리스트 오버라이드
    /// </summary>
    public class RTFListOverride
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// ID
        /// </summary>
        private int id = 1;

        /// <summary>
        /// 리스트 ID
        /// </summary>
        private int listID = 0;

        /// <summary>
        /// 리스트 오버라이드 카운트
        /// </summary>
        private int listOverriedCount = 0;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public int ID
        {
            get
            {
                return this.id;
            }
            set
            {
                this.id = value;
            }
        }

        #endregion
        #region 리스트 ID - ListID

        /// <summary>
        /// 리스트 ID
        /// </summary>
        public int ListID
        {
            get
            {
                return this.listID;
            }
            set
            {
                this.listID = value;
            }
        }

        #endregion
        #region 리스트 오버라이드 카운트 - ListOverriedCount

        /// <summary>
        /// 리스트 오버라이드 카운트
        /// </summary>
        public int ListOverriedCount
        {
            get
            {
                return this.listOverriedCount;
            }
            set
            {
                this.listOverriedCount = value;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 문자열 구하기 - ToString()

        /// <summary>
        /// 문자열 구하기
        /// </summary>
        /// <returns>문자열</returns>
        public override string ToString()
        {
            return $"ID:{ID} ListID:{ListID} Count:{ListOverriedCount}";
        }

        #endregion
    }
}