﻿using System.Collections.Generic;

namespace TestLibrary
{
    /// <summary>
    /// RTF 리스트 오버라이드 테이블
    /// </summary>
    public class RTFListOverrideTable : List<RTFListOverride>
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - RTFListOverrideTable()

        /// <summary>
        /// 생성자
        /// </summary>
        public RTFListOverrideTable()
        {
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID로 구하기 - GetByID(id)

        /// <summary>
        /// ID로 구하기
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>RTF 리스트 오버라이드</returns>
        public RTFListOverride GetByID(int id)
        {
            foreach(RTFListOverride item in this)
            {
                if(item.ID == id)
                {
                    return item;
                }
            }

            return null;
        }

        #endregion
    }
}