﻿namespace TestLibrary
{
    /// <summary>
    /// RTF 토큰 타입
    /// </summary>
    public enum RTFTokenType
    {
        /// <summary>
        /// 해당 무
        /// </summary>
        None,

        /// <summary>
        /// 키워드
        /// </summary>
        Keyword,

        /// <summary>
        /// 확장 키워드
        /// </summary>
        ExtendedKeyword,

        /// <summary>
        /// 컨트롤
        /// </summary>
        Control,

        /// <summary>
        /// 텍스트
        /// </summary>
        Text,

        /// <summary>
        /// 파일 끝
        /// </summary>
        EOF,

        /// <summary>
        /// 그룹 시작
        /// </summary>
        GroupStart,

        /// <summary>
        /// 그룹 종료
        /// </summary>
        GroupEnd
    }
}